unit ServerSetting;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,  FtpSession;

type
  TForm2 = class(TForm)
    ItemNameEdit: TEdit;
    ServerEdit: TEdit;
    UserNameEdit: TEdit;
    PassWordEdit: TEdit;
    CloseButton: TButton;
    SaveButton: TButton;
    UploadPathEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure CloseButtonClick(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
    procedure SetFtpSession(S: TFTPSession);
  private
    procedure CopyToCurrFtpSession;
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form2: TForm2;
  FCurrFtpSession : TFtpSession;

implementation

{$R *.dfm}

uses MainForm;

procedure TForm2.FormCreate(Sender: TObject);
begin
  // Form Create
end;

procedure TForm2.SetFtpSession(S: TFtpSession);
begin
  FCurrFtpSession := S;
  with FCurrFtpSession do begin
    ItemNameEdit.Text   := ItemName;
    ServerEdit.Text     := Server;
    UserNameEdit.Text   := UserName;
    PassWordEdit.Text   := PassWord;
    UploadPathEdit.Text := UploadPath;
  end;
end;

procedure TForm2.SaveButtonClick(Sender: TObject);
begin
  CopyToCurrFtpSession;
end;

procedure TForm2.CopyToCurrFtpSession;
begin
  //
  with FCurrFtpSession do
  begin
    ItemName   := ItemNameEdit.Text;
    Server     := ServerEdit.Text;
    UserName   := UserNameEdit.Text;
    PassWord   := PassWordEdit.Text;
    UploadPath := UploadPathEdit.Text;
    //
    Form1.P1ServerEdit.Text := Server;
    Form1.P1NameEdit.Text   := ItemName;
  end;
  Form1.SaveSettings;
end;

procedure TForm2.CloseButtonClick(Sender: TObject);
begin
  CopyToCurrFtpSession;
  // close
  Form2.Close;
end;

end.
